#include "partition.h"
#include <bits/stdc++.h>
#define ll long long
using namespace std;

const int N=2e6+5;
int n;
ll all=0;
vector<pair<int, int>> v;
vector<int> ans;

void add(int l, int r, vector<pair<int, int>> &a) {
    for(int i=l; i<=r; i++)
        ans.push_back(a[i].second);
}
void clr() {
    ans.clear();
    v.clear();
    all=0;
}

std::vector<int> solve(std::vector<int> A) {
    clr();
    n=A.size();
    for(int i=0; i<n; i++)
        v.push_back({A[i], i});
    sort(v.begin(), v.end(), greater<pair<int, int>>());
    for(int i=0; i<n; i++)
        all+=A[i];
    int mn=2*n;
    for(int msk=0; msk<(1<<n); msk++) {
        int curr=0, cnt=0;
        bool f=0, bad=0;
        vector<int> c;
        for(int b=0; b<n; b++) {
            if(msk&(1<<b)) {
                curr+=v[b].first;
                cnt++;
                if(curr>=(all+1)/2) {
                    if(f)
                        bad=1;
                    f=1;
                }
            }
        }
        if(!bad) {
            if(mn>abs(n-cnt-cnt)) {
                mn=abs(n-2*cnt);
                for(int b=0; b<n; b++) {
                    if(msk&(1<<b)) {
                        c.push_back(v[b].second);
                    }
                }
                for(int b=0; b<n; b++) {
                    if((msk&(1<<b))==0)
                        c.push_back(v[b].second);
                }
                ans=c;
            }
        }
    }
    return ans;
}
